Skip to main content
GET
Get trailer
This endpoint allows you to search for trailers within the Alvys system based on various criteria such as status, trailer number, fleet name, and VIN number. The version parameter in the URL path specifies which version of the API you are using. Including the version number ensures that your application interacts with the correct version of the API, providing stability and compatibility as the API evolves. For more information on how versioning works and how to include it in your requests, please refer to the Versioning page.

Request Parameters

The following parameters are required in the URL path:

Example CURL request

Replace {version} with the API version number, {trailerId} with the actual trailer ID, and YOUR_ACCESS_TOKEN with your actual Bearer token.

Response Parameters

The following table lists the parameters included in the response for trailer-related requests:

Example Response

On the right side, you can see examples of different error codes by clicking “Example” and selecting the response code.

Rate Limits

All endpoints are subject to rate limits to protect the API from traffic spikes. For detailed information on rate limits, please refer to the Rate Limits section. This page is interactive, allowing you to try a request by providing the trailer ID in the URL path. As you fill out the parameters, the Curl command on the right side of the page will be automatically updated. Alternatively, you can directly edit the Curl command. Make sure to authorize yourself before trying a request.

Authorizations

Authorization
string
header
required

OAuth 2.0 client-credentials access token. Obtain one from https://auth.alvys.com/oauth/token (grant_type=client_credentials, audience=https://api.alvys.com/public/), then paste it here. The playground sends it as Authorization: Bearer <token>.

Path Parameters

id
string
required
version
string
default:1.0
required

API version (e.g., 1.0)

Example:

"1.0"

Response

OK

Id
string
required
TrailerNum
string
required
Status
string
required
Notes
object[]
required
CreatedAt
string<date-time>
required
Fleet
object | null
Year
integer<int32> | null
Make
string | null
LicenseNum
string | null
LicenseState
string | null
LicenseCountry
string | null
PlateExpiresAt
string<date> | null
LicenseExpiresAt
string<date> | null
VinNum
string | null
SubsidiaryId
string | null
EquipmentType
string | null
EquipmentSize
string | null
Capacity
object | null
InsuranceCompany
string | null
InsurancePolicyNumber
string | null
InsuranceExpiresAt
string<date> | null
InspectionExpiresAt
string<date> | null
References
object[] | null